OpenNMS API 1.2.9

## org.opennms.netmgt.filter.parser
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.netmgt.filter.parser.ParserException

All Implemented Interfaces:
  java.io.Serializable

public class ParserException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`(package private) Token` `token`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`ParserException(Token token, java.lang.String message)`

Method Summary
`Token` `getToken()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### token

    Token token

Constructor Detail

### ParserException

    public ParserException(Token token,
                           java.lang.String message)

Method Detail

### getToken

    public Token getToken()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.